Skip to main content
POST
/
api
/
v1
/
invites
Create invite
curl --request POST \
  --url https://api.devhelm.io/api/v1/invites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "roleOffered": "OWNER"
}
'
{
  "data": {
    "inviteId": 123,
    "email": "<string>",
    "roleOffered": "OWNER",
    "expiresAt": "2023-11-07T05:31:56Z",
    "consumedAt": "2023-11-07T05:31:56Z",
    "revokedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json

Invite a new member to the organization by email

email
string<email>
required

Email address to invite

Minimum string length: 1
roleOffered
enum<string>
required

Role to assign on acceptance

Available options:
OWNER,
ADMIN,
MEMBER

Response

201 - */*

Created

data
object

Organization invite sent to an email address